support xz and lzma tarballs

Bug #553668 reported by Dimitri John Ledkov
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Distributed Development
Medium
Jelmer Vernooij
bzr-builddeb
Medium
Jelmer Vernooij

Bug Description

should support xz & lzma tarballs for repacking into v1 & support in v3.

Work in progress. Needs more testing & additions to test-suite. Most things work.

Will request merge when finished.

Related branches

Jelmer Vernooij (jelmer)
Changed in bzr-builddeb:
status: New → Triaged
importance: Undecided → Medium
Revision history for this message
Jelmer Vernooij (jelmer) wrote :

Any news on this?

Revision history for this message
Dimitri John Ledkov (xnox) wrote : Re: [Bug 553668] Re: support xz and lzma tarballs

On 11 January 2011 00:47, Jelmer Vernooij <email address hidden> wrote:
> Any news on this?
>

xz support is not yet natively available in neither python, nor
regular `bzr export`, nor in pristinetar.

bzr builddeb could gain an optional dependency on python-lzma module
(which is being reworked for python3.X inclusion).

xz has many options and we probably should match the import / export
compression options to those used in dpkg.

I did have an experimental xz/lzma branch pushed, but it hasn't been
updated in a while.

Revision history for this message
Max Bowsher (maxb) wrote :

Opened additional udd bugtask to track the need there, and the deployment of a suitable bzr-builddeb on the importer machine once such a version exists.

Jelmer Vernooij (jelmer)
Changed in udd:
status: New → Triaged
importance: Undecided → Medium
Jelmer Vernooij (jelmer)
Changed in udd:
assignee: nobody → Jelmer Vernooij (jelmer)
Changed in bzr-builddeb:
assignee: nobody → Jelmer Vernooij (jelmer)
status: Triaged → In Progress
Jelmer Vernooij (jelmer)
Changed in bzr-builddeb:
milestone: none → 2.7.5
status: In Progress → Fix Released
Changed in udd:
status: Triaged → Fix Released
Revision history for this message
Christian Kirbach (christian-kirbach-e) wrote :

Still does not depend on python-lzma

 bzr-builddeb 2.8.4

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers